var aniShow = "pop-in";
//只有ios支持的功能需要在Android平台隐藏；
if (mui.os.android) {
    var list = document.querySelectorAll('.ios-only');
    if (list) {
        for (var i = 0; i < list.length; i++) {
            list[i].style.display = 'none';
        }
    }
    //Android平台暂时使用slide-in-right动画
    if (parseFloat(mui.os.version) < 4.4) {
        aniShow = "slide-in-right";
    }
}
aniShow = "slide-in-bottom";
var templates = {};
var getTemplate = function (name, header, maintop, subtop, mainleft, subleft, content) {
    var template = templates[name];
    if (!template) {
        //预加载共用父模板；
        var headerWebview = mui.preload({
            url: header,
            id: name + "-main",
            styles: {
                top: !maintop ? "0px" : maintop,
                bottom: '0px',
                left: mainleft,
                right: '0px',
                popGesture: "hide",
            },
            extras: {
                mType: 'main'
            }
        });
        //预加载共用子webview
        var subWebview = mui.preload({
            url: !content ? "" : content,
            id: name + "-sub",
            styles: {
                top: !subtop ? "70px" : subtop,
                left: subleft,
                right: '0px',
                bottom: '0px'
            },
            extras: {
                mType: 'sub'
            }
        });
        subWebview.addEventListener('loaded', function () {
            setTimeout(function () {
                subWebview.show();
            }, 50);
        });
        subWebview.hide();
        headerWebview.append(subWebview);
        //iOS平台支持侧滑关闭，父窗体侧滑隐藏后，同时需要隐藏子窗体；
        if (mui.os.ios) { //5+父窗体隐藏，子窗体还可以看到？不符合逻辑吧？
            headerWebview.addEventListener('hide', function () {
                subWebview.hide("none");
            });
        }
        templates[name] = template = {
            name: name,
            header: headerWebview,
            content: subWebview,
        };
    }
    return template;
};

function openview(id, href, type, temp) {
    if (type == "common") {
        var aniShow = "pop-in";
        //只有ios支持的功能需要在Android平台隐藏；
        if (mui.os.android) {
            var list = document.querySelectorAll('.ios-only');
            if (list) {
                for (var i = 0; i < list.length; i++) {
                    list[i].style.display = 'none';
                }
            }
            //Android平台暂时使用slide-in-right动画
            if (parseFloat(mui.os.version) < 4.4) {
                aniShow = "slide-in-right";
            }
        }
        var webview_style = {
            popGesture: "close"
        };
        mui.openWindow({
            id: id,
            url: href,
            styles: webview_style,
            show: {
                aniShow: aniShow
            },
            waiting: {
                autoShow: false
            }
        });
    } else if (id && ~id.indexOf('.html')) {
        self = plus.webview.currentWebview();
        var contentWebview = self.children()[0];
        self.children()[0].show();
        if (self.children().length > 1) {
            for (var i = 1; i < self.children().length; i++) {
                self.children()[i].close();
            }
        }
        //				var embed=plus.webview.create("template/template.html","",{top:"0px",bottom:"0px"});
        //				contentWebview.append(embed);
        contentWebview.loadURL(temp);
        setTimeout(function () {
            if (contentWebview.getURL() != href) {
                contentWebview.loadURL(href);
            } else {
                console.log(11);
                contentWebview.show();
            }
        }, 200);
    }
    else if (type == "http") {
        self = plus.webview.currentWebview();
        var contentWebview = self.children()[0];
        self.children()[0].show();
        if (self.children().length > 1) {
            for (var i = 1; i < self.children().length; i++) {
                self.children()[i].close();
            }
        }
        //				var embed=plus.webview.create("template/template.html","",{top:"0px",bottom:"0px"});
        //				contentWebview.append(embed);
        contentWebview.loadURL(temp);
        setTimeout(function () {
            if (contentWebview.getURL() != href) {
                contentWebview.loadURL(href);
            } else {
                console.log(11);
                contentWebview.show();
            }
        }, 200);
    }
}