// 下载wgt文件
var wgtUrl = "";
function checkUpdate() {
    var strAgent = "Android";
    if (/(iPhone|iPad|iPod|iOS)/i.test(navigator.userAgent))
        strAgent = "IOS";
    else if (/(Android)/i.test(navigator.userAgent))
        strAgent = "Android";
    var jsondata = { Ver: wgtVer, Action: 'MYD', UserAgent: strAgent };
    getEdition(jsondata, GetType);
}
function GetType(data) {
    var newVer = "";
    if ('' != data) {
        var strJson = JSON.parse(data);
        newVer = strJson[0].Version;
        wgtUrl = strJson[0].Url;

        if (compareVersion(wgtVer, newVer)) {
            plus.nativeUI.confirm("有新版本（" + newVer + "）可以升级！", function (event) {
                if (0 == event.index) {
                    // 判断是安卓还是苹果
                    if (/(iPhone|iPad|iPod|iOS)/i.test(navigator.userAgent)) {
                        plus.runtime.openURL(wgtUrl);
                    }
                    else if (/(Android)/i.test(navigator.userAgent)) {
                        downWgt(true);
                    }
                }
            }, "美易点更新", ["立即更新", "取　　消"]);
        }
    }

}
function downWgt(key) {
    var w;
    if (key) {
        w = plus.nativeUI.showWaiting("　　 开始下载...　　");
    }
    var options = {
        filename: "_downloads/update/"
    };
    var dtask = plus.downloader.createDownload(wgtUrl, options, function (d, status) {
        if (status == 200) {
            //console.log("下载成功：" + d.filename); 
            // 将下载地址保存到本地缓存
            localStorage.setItem('FileUrl', d.filename);
            setTimeout(installWgt(d.filename, key), 2000); // 安装wgt包
        } else {
            console.log("下载失败！");
            if (key) {
                plus.nativeUI.alert("下载更新资源失败！");
            }
        }
    });
    if (key) {
        dtask.addEventListener("statechanged", function (task, status) {
            switch (task.state) {
                case 1: // 开始
                    w.setTitle("　　 开始下载...　　 ");
                    break;
                case 2: // 已连接到服务器
                    w.setTitle("　　 开始下载...　　 ");
                    break;
                case 3:
                    var a = task.downloadedSize / task.totalSize * 100;
                    //console.log(a)
                    w.setTitle("　　 已下载" + parseInt(a) + "%　　 ");
                    break;
                case 4: // 下载完成
                    w.close();
                    break;
            }
        });
    }
    dtask.start();
}

function downPic(key, wgtUrl) {
    var w;
    if (key) {
        w = plus.nativeUI.showWaiting("　　 开始下载...　　");
    }
    var options = {
        filename: "_downloads/Logo/"
    };
    var dtask = plus.downloader.createDownload(wgtUrl, options, function (d, status) {
        if (status == 200) {
            console.log("下载成功：" + d.filename);
            // 将文件保存到本地缓存
            localStorage.setItem('UrlFilePic', d.filename);
            var strFile = "file://" + plus.io.convertLocalFileSystemURL(d.filename);
            // 将下载地址保存到本地缓存
            localStorage.setItem('UrlPic', strFile);
            mui.toast("资源更新成功！");
            window.location.href = "login.html";
        } else {
            // console.log("下载失败！");
            if (key) {
                plus.nativeUI.alert("下载图片资源失败！");
            }
        }
    });
    if (key) {
        dtask.addEventListener("statechanged", function (task, status) {
            switch (task.state) {
                case 1: // 开始
                    w.setTitle("　　 开始下载...　　 ");
                    break;
                case 2: // 已连接到服务器
                    w.setTitle("　　 开始下载...　　 ");
                    break;
                case 3:
                    var a = task.downloadedSize / task.totalSize * 100;
                    //console.log(a)
                    w.setTitle("　　 已下载" + parseInt(a) + "%　　 ");
                    break;
                case 4: // 下载完成
                    w.close();
                    break;
            }
        });
    }
    dtask.start();
}

// 更新应用资源
function installWgt(path, key) {
    if (key) {
        plus.nativeUI.showWaiting("在线升级，安装资源文件...");
    }
    plus.runtime.install(path, {}, function () {
        if (key) {
            plus.nativeUI.closeWaiting();
            mui.toast("应用资源更新完成！");
            //plus.runtime.restart();
        }
    }, function (e) {

        console.log("安装文件失败[" + e.code + "]：" + e.message);
        if (key) {
            plus.nativeUI.closeWaiting();
            plus.nativeUI.alert("在线升级，安装资源文件失败");
        }
    });
}


/**
 * 比较版本大小，如果新版本nv大于旧版本ov则返回true，否则返回false
 * @param {String} ov
 * @param {String} nv
 * @return {Boolean}
 */

function compareVersion(ov, nv) {
    if (!ov || !nv || ov == "" || nv == "") {
        return false;
    }
    var b = false,
        ova = ov.split(".", 4),
        nva = nv.split(".", 4);
    for (var i = 0; i < ova.length && i < nva.length; i++) {
        var so = ova[i],
            no = parseInt(so),
            sn = nva[i],
            nn = parseInt(sn);
        if (nn > no || sn.length > so.length) {
            return true;
        } else if (nn < no) {
            return false;
        }
    }
    if (nva.length > ova.length && 0 == nv.indexOf(ov)) {
        return true;
    }
}
//删除指定文件
function i_delFile(hb_path) {
    if (hb_path) {
        plus.io.resolveLocalFileSystemURL(hb_path, function (entry) {
            entry.remove(function (entry) {
                console.log("文件删除成功==" + hb_path);
                localStorage.setItem('FileUrl', '');
                return true;
            }, function (e) {
                //console.log("文件删除失败=" + hb_path);
                return false;
            });
        });
    }
}
